﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yok DL7100 (1 yr) Bandwidth VER IEEE /9500
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       200
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
# Source:          Quality Inspection Standards : DL7100 Digital Oscilloscope
#                  Part Number: QIS701410
#                  Revision number: 1st Edition(1999.9)
#
# Source Author:   Yokogawa
#
# Compatibility:   MET/CAL 6.11A or later
#
# Subprocedures:   Sub Yok DL7100 Record Reading IEEE
#                  Sub Wait for Operation Complete (OPC) IEEE SCPI
#
# Required Files:  none
#
# The Procedure was tested using:
#
#                  Model No       DL7100
#                  Serial No      12V918531J
#
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#
# THE COPYRIGHT IN THIS PROCEDURE IS OWNED BY FLUKE PRECISION MEASUREMENT
# LIMITED. THE TERMS AND CONDITIONS OF ITS USE ARE DESCRIBED IN THE
# LICENSE YOU ACCEPTED WHEN YOU INSTALLED THE METCAL SOFTWARE.
#
# Fluke makes no warranty, expressed or implied, as to the fitness
# or suitability of this procedure in the customer's application.
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#   The default 9500A accuracy file contains 90 day specs.
#
# Overview:
#   This procedure is written to verify the operation of the Yok DL7100
#   Oscilloscope. This procedure performs a "closed-loop" verification
#   with a minimum of operater intervention.  The following documentation
#   lists the global registers used and subprocedures called.
#
# NUMERIC REGISTERS USED:
#
#   M[10]
#     This register is used in the status check subprocedure to
#     set watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   M[11]
#     This register is used to store the value of MEM
#
#   M[12]
#     This register is used to store the value of MEM1
#
#   M[17]
#     This register is used to store the desired resolution of a measurement.
#     This value is then passed to the status check subprocedure for
#     calculations.
#
#   MEM2
#     This register is used to pass commands to the status check subprocedure.
#     This is used with the READING Flag.  The benefit of using this technique
#     is the ability to reduce the amout of dedicated programs.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#       M[100] = 1 means Channel 1
#       M[100] = 2 means Channel 2
#       M[100] = 3 means Channel 3
#       M[100] = 4 means Channel 4
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

#******************** BANDWIDTH CHECK ********************

  1.001  RSLT         =
  1.002  RSLT         =BANDWIDTH: Channel [M100]
  1.003  HEAD         BANDWIDTH TESTS: Channel [M100]
  1.004  TARGET

# Initial UUT Configurations
  1.005  IEEE         :INIT:EXEC
  1.006  IEEE         :DISP:TLAB ON;GRAT GRID;FORM SING;COL RGB
  1.007  IEEE         :ACQ:AVER:EWE 4
  1.008  IEEE         :TRIG:LEV 0
  1.009  IEEE         :ACQ:RLEN 1000
  1.010  IEEE         :CLE

  1.011  IEEE         CHAN1:MODE [SREG1]
  1.012  IEEE         CHAN2:MODE [SREG2]
  1.013  IEEE         CHAN3:MODE [SREG3]
  1.014  IEEE         CHAN4:MODE [SREG4]

  1.015  IEEE         :CHAN[M100]:COUP DC50;PROB 1
  1.016  IEEE         :CHAN[M100]:OFFS 0;POS 0
  1.017  IEEE         :TRIG:TYPE SIMP;SIMP:SOUR [M100];COUP DC;SLOP RISE
  1.018  IEEE         :MEAS:MODE ON;:MEAS:CHAN[M100]:PTOP:STAT ON
  1.019  IEEE         :MEAS:TRAN -5,5
  1.020  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.021  JMPL         END            M[89] < 0

# Set Up Reading Used
  1.022  MATH         S[5] = ":PTOP:VAL?"

# Test the 1 V/div Range @ 5V  500MHZ
  1.023  RSLT         =1 V/div Range @ 500MHz
  1.024  IEEE         :TIM:TDIV 10e-6
  1.025  IEEE         :CHAN[M100]:VDIV 1
  1.026  MATH         M[17] = 0.05
  1.027  9500         5.000Vpp                     50kH           LS    S  L
  1.028  CALL         Sub Yok DL7100 Record Reading IEEE
  1.029  JMPL         END            M[89] < 0
  1.030  MATH         M[21] = MEM
  1.031  IEEE         :TIM:TDIV 2e-9
  1.032  9500         5.000Vpp                     500MH          LS    S  L
  1.033  CALL         Sub Yok DL7100 Record Reading IEEE
  1.034  JMPL         END            M[89] < 0
  1.035  MATH         MEM = (5 / M[21]) * MEM
  1.036  MEMCX        5.000Vpp       1.4602U

# Test the 200 mV/div Range @ 1.2V  500MHZ
  2.001  RSLT         =200 mV/div Range @ 500MHz
  2.002  IEEE         :TIM:TDIV 10e-6
  2.003  IEEE         :CHAN[M100]:VDIV .2
  2.004  MATH         M[17] = 0.05
  2.005  9500         1.200Vpp                     50kH           LS    S  L
  2.006  CALL         Sub Yok DL7100 Record Reading IEEE
  2.007  JMPL         END            M[89] < 0
  2.008  MATH         M[21] = MEM
  2.009  IEEE         :TIM:TDIV 2e-9
  2.010  9500         1.200Vpp                     500MH          LS    S  L
  2.011  CALL         Sub Yok DL7100 Record Reading IEEE
  2.012  JMPL         END            M[89] < 0
  2.013  MATH         MEM = (1.2 / M[21]) * MEM
  2.014  MEMCX        1.200Vpp       0.35046U

# Test the 50 mV/div Range @ 300mV  500MHZ
  3.001  RSLT         =50 mV/div Range @ 500MHz
  3.002  IEEE         :TIM:TDIV 10e-6
  3.003  IEEE         :CHAN[M100]:VDIV 50e-3
  3.004  MATH         M[17] = 0.05
  3.005  9500         300.00mVpp                   50kH           LS    S  L
  3.006  CALL         Sub Yok DL7100 Record Reading IEEE
  3.007  JMPL         END            M[89] < 0
  3.008  MATH         M[21] = MEM
  3.009  IEEE         :TIM:TDIV 2e-9
  3.010  9500         300.00mVpp                   500MH          LS    S  L
  3.011  CALL         Sub Yok DL7100 Record Reading IEEE
  3.012  JMPL         END            M[89] < 0
  3.013  MATH         MEM = (0.3 / M[21]) * (MEM * 1000)
  3.014  MEMCX        300.00mVpp     87.6U

# Test the 5 mV/div Range @ 30mV  400MHZ
  4.001  RSLT         =5 mV/div Range @ 400MHz
  4.002  IEEE         :TIM:TDIV 10e-6
  4.003  IEEE         :CHAN[M100]:VDIV 5e-3
  4.004  MATH         M[17] = 0.05
  4.005  9500         30.000mVpp                   50kH           LS    S  L
  4.006  CALL         Sub Yok DL7100 Record Reading IEEE
  4.007  JMPL         END            M[89] < 0
  4.008  MATH         M[21] = MEM
  4.009  IEEE         :TIM:TDIV 2e-9
  4.010  9500         30.000mVpp                   400MH          LS    S  L
  4.011  CALL         Sub Yok DL7100 Record Reading IEEE
  4.012  JMPL         END            M[89] < 0
  4.013  MATH         MEM = (0.03 / M[21]) * (MEM * 1000)
  4.014  MEMCX        30.000mVpp     8.7615U

# Test the 2 mV/div Range @ 12mV  400MHZ
  5.001  RSLT         =2 mV/div Range @ 400MHz
  5.002  IEEE         :TIM:TDIV 10e-6
  5.003  IEEE         :CHAN[M100]:VDIV 2e-3
  5.004  MATH         M[17] = 0.05
  5.005  9500         12.000mVpp                   50kH           LS    S  L
  5.006  CALL         Sub Yok DL7100 Record Reading IEEE
  5.007  JMPL         END            M[89] < 0
  5.008  MATH         M[21] = MEM
  5.009  IEEE         :TIM:TDIV 2e-9
  5.010  9500         12.000mVpp                   400MH          LS    S  L
  5.011  CALL         Sub Yok DL7100 Record Reading IEEE
  5.012  JMPL         END            M[89] < 0
  5.013  MATH         MEM = (0.012 / M[21])  * (MEM *1000)
  5.014  MEMCX        12.000mVpp     3.5015U

  6.001  LABEL        END
  6.002  9500         *                                                 S
  6.003  END
