﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yok DL7100 (1 yr) Ext Trigger VER IEEE /9500
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.2 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       147
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
# Source:          Quality Inspection Standards : DL7100 Digital Oscilloscope
#                  Part Number: QIS701410
#                  Revision number: 1st Edition(1999.9)
#
# Source Author:   Yokogawa
#
# Compatibility:   MET/CAL 6.11A or later
#
# Subprocedures:   Sub Wait for Operation Complete (OPC) IEEE SCPI
#
# Required Files:  none
#
# The Procedure was tested using:
#
#                  Model No       DL7100
#                  Serial No      12V918531J
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#
# THE COPYRIGHT IN THIS PROCEDURE IS OWNED BY FLUKE PRECISION MEASUREMENT
# LIMITED. THE TERMS AND CONDITIONS OF ITS USE ARE DESCRIBED IN THE
# LICENSE YOU ACCEPTED WHEN YOU INSTALLED THE METCAL SOFTWARE.
#
# Fluke makes no warranty, expressed or implied, as to the fitness
# or suitability of this procedure in the customer's application.
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#   The default 9500A accuracy file contains 90 day specs.
#
# Overview:
#   This procedure is written to verify the operation of the Yok DL7100
#   Oscilloscope. This procedure performs a "closed-loop" verification
#   with a minimum of operater intervention.  The following documentation
#   lists the global registers used and subprocedures called.
#
# NUMERIC REGISTERS USED:
#
#   M[10]
#     This register is used in the status check subprocedure to
#     set watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   M[11]
#     This register is used to store the value of MEM
#
#   M[12]
#     This register is used to store the value of MEM1
#
#   M[17]
#     This register is used to store the desired resolution of a measurement.
#     This value is then passed to the status check subprocedure for
#     calculations.
#
#   MEM2
#     This register is used to pass commands to the status check subprocedure.
#     This is used with the READING Flag.  The benefit of using this technique
#     is the ability to reduce the amout of dedicated programs.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#       M[100] = 1 means Channel 1
#       M[100] = 2 means Channel 2
#       M[100] = 3 means Channel 3
#       M[100] = 4 means Channel 4
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

#********************  EXT TRIGGER IN OUT ********************

  1.001  TARGET
  1.002  RSLT         =
  1.003  HEAD         {EXT TRIGGER SENSITIVITY IN & OUT}

#Initial UUT Configurations
  1.004  IEEE         :INIT:EXEC
  1.005  IEEE         :DISP:TLAB ON;GRAT GRID;FORM SING;COL RGB
  1.006  IEEE         :TIM:TDIV 10e-9
  1.007  IEEE         :ACQ:MODE NORM
  1.008  IEEE         :ACQ:RLEN 1000
  1.009  IEEE         :TRIG:TYPE SIMP;SIMP:SOUR EXT;SLOP RISE
  1.010  IEEE         :TRIG:POS 10
  1.011  IEEE         :TRIG:MODE NORM
  1.012  IEEE         CHAN1:MODE ON
  1.013  IEEE         :CHAN1:COUP DC50;PROB 1
  1.014  IEEE         :CHAN1:VDIV 2
  1.015  IEEE         CHAN2:MODE ON
  1.016  IEEE         :CHAN2:COUP DC;PROB 1
  1.017  IEEE         :CHAN2:VDIV 2
  1.018  IEEE         CHAN3:MODE ON
  1.019  IEEE         :CHAN3:COUP DC50;PROB 1
  1.020  IEEE         CHAN3:MODE OFF
  1.021  IEEE         CHAN4:MODE OFF
  1.022  IEEE         :DISP:TLAB ON;GRAT GRID;FORM DUAL;COL RGB
  1.023  IEEE         :CLE
  1.024  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.025  JMPL         END            M[89] < 0

# Test Ext Trig @ 2V, 100MHz
  1.026  DISP         Make the following connections:
  1.026  DISP         [32] Using a BNC tee and two BNC cables, connect
  1.026  DISP         [32] the CH 1 Active Head to UUT CH 1 input and
  1.026  DISP         [32] EXT TRIG IN (on rear).
  1.026  DISP
  1.026  DISP         [32] Connect the UUT TRIG OUT (rear) to UUT CH 2
  1.026  DISP         [32] using a BNC cable.

  1.027  M9500                       CH1
  1.028  9500         2.000Vpp                     100MH          LS    S  L
  1.029  MATH         M[17] = 2.00
  1.030  LABEL        TRIG_LEVELE
  1.031  IEEE         :TRIG:LEV [M17]
  1.032  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.033  JMPL         END            M[89] < 0
  1.034  HEAD         Trigger Level = [M17]
  1.035  IEEE         :STAT:COND?[I]
  1.036  IEEE         [D1000]
  1.037  IEEE         :STAT:COND?[I]
  1.038  JMPL         TRIG_PASSE     MEM == 1
  1.039  MATH         M[17]=M[17]-.1
  1.040  JMPL         TRIG_LEVELE    M[17] >= -2
  1.041  LABEL        TRIG_PASSE
  1.042  EVAL   -e MEM == 1 :Trigger Level [M17]V @ 2Vpp, 100MHz

  2.001  MESS         Confirm that there are two stable
  2.001  MESS         waveforms on the UUT's display.
  2.002  EVAL   -s "Waveform Stability" :

  3.001  LABEL        END
  3.002  9500         *                                                 S
  3.003  END
