﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yok DL7100 (1 yr) Trigger VER IEEE /9500
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       255
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
# Source:          Quality Inspection Standards : DL7100 Digital Oscilloscope
#                  Part Number: QIS701410
#                  Revision number: 1st Edition(1999.9)
#
# Source Author:   Yokogawa
#
# Compatibility:   MET/CAL 6.11A or later
#
# Subprocedures:   Sub Yok Trigger "OR" Channel Selection (4 Ch)
#                  Sub Yok Trigger Channel Pattern (4 Ch)
#                  Sub Wait for Operation Complete (OPC) IEEE SCPI
#
# Required Files:  none
#
# The Procedure was tested using:
#
#                  Model No       DL7100
#                  Serial No      12V918531J
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#
# THE COPYRIGHT IN THIS PROCEDURE IS OWNED BY FLUKE PRECISION MEASUREMENT
# LIMITED. THE TERMS AND CONDITIONS OF ITS USE ARE DESCRIBED IN THE
# LICENSE YOU ACCEPTED WHEN YOU INSTALLED THE METCAL SOFTWARE.
#
# Fluke makes no warranty, expressed or implied, as to the fitness
# or suitability of this procedure in the customer's application.
#
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#   The default 9500A accuracy file contains 90 day specs.
#
# Overview:
#   This procedure is written to verify the operation of the Yok DL7100
#   Oscilloscope. This procedure performs a "closed-loop" verification
#   with a minimum of operater intervention.  The following documentation
#   lists the global registers used and subprocedures called.
#
# NUMERIC REGISTERS USED:
#
#   M[10]
#     This register is used in the status check subprocedure to
#     set watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   M[11]
#     This register is used to store the value of MEM
#
#   M[12]
#     This register is used to store the value of MEM1
#
#   M[17]
#     This register is used to store the desired resolution of a measurement.
#     This value is then passed to the status check subprocedure for
#     calculations.
#
#   MEM2
#     This register is used to pass commands to the status check subprocedure.
#     This is used with the READING Flag.  The benefit of using this technique
#     is the ability to reduce the amout of dedicated programs.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#       M[100] = 1 means Channel 1
#       M[100] = 2 means Channel 2
#       M[100] = 3 means Channel 3
#       M[100] = 4 means Channel 4
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
#******************** TRIGGER SENSITIVITY ********************

  1.001  TARGET

#Initial UUT Configurations
  1.002  IEEE         :INIT:EXEC
  1.003  IEEE         :DISP:TLAB ON;GRAT GRID;FORM SING;COL RGB
  1.004  IEEE         :TIM:TDIV 1e-9
  1.005  IEEE         :ACQ:MODE AVER
  1.006  IEEE         :ACQ:AVER:EWE 4
  1.007  IEEE         :ACQ:RLEN 1000
  1.008  IEEE         :TRIG:MODE NORM
  1.009  IEEE         :CLE

  1.010  IEEE         CHAN1:MODE [SREG1]
  1.011  IEEE         CHAN2:MODE [SREG2]
  1.012  IEEE         CHAN3:MODE [SREG3]
  1.013  IEEE         CHAN4:MODE [SREG4]

  1.014  IEEE         :CHAN[M100]:COUP DC50;PROB 1
  1.015  IEEE         :CHAN[M100]:VDIV 500E-3
  1.016  IEEE         :CLE
  1.017  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.018  JMPL         END            M[89] < 0

# Select selected trigger channel pattern to "HIGH".
  1.019  MATH         M[101] = 1
  1.020  CALL         Sub Yok Trigger Channel Pattern (4 Ch)
  1.021  JMPL         END            M[89] < 0

# Test @ 1 Div. 500MHz
  1.022  HEAD         TRIGGER SENSITIVITY: Channel [M100]
  1.023  RSLT         =TRIGGER SENSITIVITY: Channel [M100]
  1.024  IEEE         :TRIG:TYPE PATT;PATT:CHAN1 [SREG11]
  1.024  IEEE         :TRIG:TYPE PATT;PATT:CHAN2 [SREG12]
  1.025  IEEE         :TRIG:TYPE PATT;PATT:CHAN3 [SREG13]
  1.026  IEEE         :TRIG:TYPE PATT;PATT:CHAN4 [SREG14]
  1.027  IEEE         :TRIG:PATT:CLOCK:SOUR [M100];SLOP RISE
  1.028  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.029  JMPL         END            M[89] < 0
  1.030  9500         500.00mVpp                   500MH          LS    S  L
  1.031  MATH         M[17] = 0.24
  1.032  LABEL        TRIG_LEVEL
  1.033  IEEE         :TRIG:SOUR:CHAN[M100]:LEV [M17]
  1.034  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.035  JMPL         END            M[89] < 0
  1.036  HEAD         Trigger Level = [M17]
  1.037  IEEE         :STAT:COND?[I]
  1.038  IEEE         [D1000]
  1.039  IEEE         :STAT:COND?[I]
  1.040  JMPL         TRIG_PASS      MEM == 1
  1.041  MATH         M[17] = M[17] - 0.02
  1.042  JMPL         TRIG_LEVEL     M[17] >= -0.24
  1.043  LABEL        TRIG_PASS
  1.044  EVAL   -e MEM == 1 :Trigger Level [M17]V @ 500mVpp, 500MHz

#******************** TRIGGER ACCURACY ********************

#Initial UUT Configurations
  2.001  IEEE         :INIT:EXEC
  2.002  IEEE         :DISP:TLAB ON;GRAT GRID;FORM SING;COL RGB
  2.003  IEEE         :TIM:TDIV 1e-6
  2.004  IEEE         :CLE

  2.005  IEEE         CHAN1:MODE [SREG1]
  2.006  IEEE         CHAN2:MODE [SREG2]
  2.007  IEEE         CHAN3:MODE [SREG3]
  2.008  IEEE         CHAN4:MODE [SREG4]

  2.009  IEEE         :CHAN[M100]:COUP DC50;PROB 1
  2.010  IEEE         :CHAN[M100]:VDIV 200E-3
  2.011  IEEE         :CHAN[M100]:BWID 20MHz
  2.012  IEEE         :CURS:TY:TYPE MARK
  2.013  IEEE         :CURS:TY:MARK:M1:POS 0
  2.014  IEEE         :CLE
  2.015  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  2.016  JMPL         END            M[89] < 0

# Test @ Offset +600 mV 50 kHz
  2.017  HEAD         TRIGGER ACCURACY: Channel [M100]
  2.018  RSLT         =TRIGGER ACCURACY: Channel [M100]
  2.019  RSLT         =Offset @ +600mV
  2.020  IEEE         :CHAN[M100]:OFFS 0.6;POS 0
  2.021  IEEE         :TRIG:TYPE OR

# Set selected trigger channel "OR" state to "IN".
  2.022  MATH         M[101] = 1
  2.023  CALL         Sub Yok Trigger "OR" Channel Selection (4 Ch)
  2.024  JMPL         END            M[89] < 0

  2.025  IEEE         :TRIG:OR:WIND ON
  2.025  IEEE         :TRIG:OR:CHAN1 [SREG21]
  2.025  IEEE         :TRIG:OR:CHAN2 [SREG22]
  2.025  IEEE         :TRIG:OR:CHAN3 [SREG23]
  2.025  IEEE         :TRIG:OR:CHAN4 [SREG24]
  2.026  IEEE         :TRIG:SOUR:CHAN[M100]:LEV 0.6;WIDT 1.2
  2.027  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  2.028  JMPL         END            M[89] < 0
  2.029  9500         400.00mVpp                   50kH           LS    S  L
  2.030  IEEE         [D1000]
  2.031  IEEE         :CURS:TY:MARK:Y1?[I]
  2.032  IEEE         :CURS:TY:MARK:Y1?[I]
  2.033  HEAD         Cursor Y1 Reading = [MEM]
  2.034  MATH         M[17] = MEM

# Set selected trigger channel "OR" state to "OUT".
  2.035  MATH         M[101] = 2
  2.036  CALL         Sub Yok Trigger "OR" Channel Selection (4 Ch)
  2.037  JMPL         END            M[89] < 0

  2.038  IEEE         :TRIG:OR:WIND ON
  2.038  IEEE         :TRIG:OR:CHAN1 [SREG21]
  2.038  IEEE         :TRIG:OR:CHAN2 [SREG22]
  2.038  IEEE         :TRIG:OR:CHAN3 [SREG23]
  2.038  IEEE         :TRIG:OR:CHAN4 [SREG24]
  2.038  IEEE         :TRIG:SOUR:CHAN[M100]:LEV 0.6;WIDT 1.2
  2.039  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  2.040  JMPL         END            M[89] < 0
  2.041  IEEE         :CURS:TY:MARK:Y1?[I]
  2.042  IEEE         :CURS:TY:MARK:Y1?[I]
  2.043  HEAD         Cursor Y1 Reading = [MEM]
  2.044  MATH         MEM = (MEM + M[17]) * 500
  2.045  MEMCX        0.00mVpp       260.00U

# Test Channel 1 @ Offset -600 mV 50 kHz
  3.001  RSLT         =Offset @ -600mV
  3.002  IEEE         :CHAN[M100]:OFFS -0.6;POS 0
  3.003  IEEE         :TRIG:TYPE OR

# Set selected trigger channel "OR" state to "IN".
  3.004  MATH         M[101] = 1
  3.005  CALL         Sub Yok Trigger "OR" Channel Selection (4 Ch)
  3.006  JMPL         END            M[89] < 0

  3.007  IEEE         :TRIG:OR:WIND ON
  3.007  IEEE         :TRIG:OR:CHAN1 [SREG21]
  3.007  IEEE         :TRIG:OR:CHAN2 [SREG22]
  3.007  IEEE         :TRIG:OR:CHAN3 [SREG23]
  3.007  IEEE         :TRIG:OR:CHAN4 [SREG24]
  3.008  IEEE         :TRIG:SOUR:CHAN1:LEV -0.6;WIDT 1.2
  3.009  9500         400.00mVpp                   50kH           LS    S  L
  3.010  IEEE         [D1000]
  3.011  IEEE         :CURS:TY:MARK:Y1?[I]
  3.012  IEEE         :CURS:TY:MARK:Y1?[I]
  3.013  HEAD         Cursor Y1 Reading = [MEM]
  3.014  MATH         M[17] = MEM

# Set selected trigger channel "OR" state to "OUT".
  3.015  MATH         M[101] = 2
  3.016  CALL         Sub Yok Trigger "OR" Channel Selection (4 Ch)
  3.017  JMPL         END            M[89] < 0

  3.018  IEEE         :TRIG:OR:WIND ON
  3.018  IEEE         :TRIG:OR:CHAN1 [SREG21]
  3.018  IEEE         :TRIG:OR:CHAN2 [SREG22]
  3.018  IEEE         :TRIG:OR:CHAN3 [SREG23]
  3.018  IEEE         :TRIG:OR:CHAN4 [SREG24]
  3.019  IEEE         :TRIG:SOUR:CHAN[M100]:LEV -0.6;WIDT 1.2
  3.020  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  3.021  JMPL         END            M[89] < 0
  3.022  IEEE         :CURS:TY:MARK:Y1?[I]
  3.023  IEEE         :CURS:TY:MARK:Y1?[I]
  3.024  HEAD         Cursor Y1 Reading = [MEM]
  3.025  MATH         MEM = (MEM + M[17]) * 500
  3.026  MEMCX        0.00mVpp       260.00U

  4.001  LABEL        END
  4.002  9500         *                                                 S
  4.003  END
