﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yok DL7100 (1 yr) Vert Accuracy VER IEEE /9500
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       37
NUMBER OF LINES:       391
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
# Source:          Quality Inspection Standards : DL7100 Digital Oscilloscope
#                  Part Number: QIS701410
#                  Revision number: 1st Edition(1999.9)
#
# Source Author:   Yokogawa
#
# Compatibility:   MET/CAL 6.11A or later
#
# Subprocedures:   Sub Yok DL7100 Record Reading IEEE
#                  Sub Wait for Operation Complete (OPC) IEEE SCPI
#
# Required Files:  none
#
# The Procedure was tested using:
#
#                  Model No       DL7100
#                  Serial No      12V918531J
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#
# THE COPYRIGHT IN THIS PROCEDURE IS OWNED BY FLUKE PRECISION MEASUREMENT
# LIMITED. THE TERMS AND CONDITIONS OF ITS USE ARE DESCRIBED IN THE
# LICENSE YOU ACCEPTED WHEN YOU INSTALLED THE METCAL SOFTWARE.
#
# Fluke makes no warranty, expressed or implied, as to the fitness
# or suitability of this procedure in the customer's application.
#
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#   The default 9500A accuracy file contains 90 day specs.
#
# Overview:
#   This procedure is written to verify the operation of the Yok DL7100
#   Oscilloscope. This procedure performs a "closed-loop" verification
#   with a minimum of operater intervention.  The following documentation
#   lists the global registers used and subprocedures called.
#
# NUMERIC REGISTERS USED:
#
#   M[10]
#     This register is used in the status check subprocedure to
#     set watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   M[11]
#     This register is used to store the value of MEM
#
#   M[12]
#     This register is used to store the value of MEM1
#
#   M[17]
#     This register is used to store the desired resolution of a measurement.
#     This value is then passed to the status check subprocedure for
#     calculations.
#
#   MEM2
#     This register is used to pass commands to the status check subprocedure.
#     This is used with the READING Flag.  The benefit of using this technique
#     is the ability to reduce the amout of dedicated programs.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#       M[100] = 1 means Channel 1
#       M[100] = 2 means Channel 2
#       M[100] = 3 means Channel 3
#       M[100] = 4 means Channel 4
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

#******************** DC VOLTAGE MEASUREMENT ACCURACY ********************

  1.001  RSLT         =
  1.002  RSLT         =DC VOLTAGE MEASUREMENT ACCURACY: Channel [M100]
  1.003  HEAD         DC VOLTAGE MEASUREMENT ACCURACY: Channel [M100]
  1.004  TARGET

#Initial UUT Configurations
  1.005  IEEE         :TIM:TDIV 1e-3
  1.006  IEEE         :ACQ:MODE BAV
  1.007  IEEE         :TRIG:TYPE SIMP;SIMP:SOUR LINE
  1.008  IEEE         :CLE

  1.009  IEEE         CHAN1:MODE [SREG1]
  1.010  IEEE         CHAN2:MODE [SREG2]
  1.011  IEEE         CHAN3:MODE [SREG3]
  1.012  IEEE         CHAN4:MODE [SREG4]
  1.013  IEEE         :DISP:TLAB ON;GRAT GRID;FORM SING;COL RGB

  1.014  IEEE         :CHAN[M100]:COUP DC;PROB 1
  1.015  IEEE         :CHAN[M100]:OFFS 0;POS 0
  1.016  IEEE         :MEAS:MODE ON;:MEAS:CHAN[M100]:AVER:STAT ON
  1.017  IEEE         :MEAS:TRAN -5,5
  1.018  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.019  JMPL         END            M[89] < 0

 #Set Up Reading Used
  1.020  MATH         S[5] = ":AVER:VAL?"

# Test the 10 V/div Range @ 40V
  1.021  RSLT         =10 V/div Range
  1.022  IEEE         :CHAN[M100]:VDIV 10
  1.023  MATH         M[17] = 0.001
  1.024  9500         40.000V                                           S
  1.025  CALL         Sub Yok DL7100 Record Reading IEEE
  1.026  JMPL         END            M[89] < 0
  1.027  MEMCX        40.000V        1.22U

# Test the 10 V/div Range @ 0V
  2.001  9500         0.000V                                            S
  2.002  CALL         Sub Yok DL7100 Record Reading IEEE
  2.003  JMPL         END            M[89] < 0
  2.004  MEMCX        0.000V         1.22U

# Test the 10 V/div Range @ -40V
  3.001  9500         -40.000V                                          S
  3.002  CALL         Sub Yok DL7100 Record Reading IEEE
  3.003  JMPL         END            M[89] < 0
  3.004  MEMCX        -40.000V       1.22U

# Test the 5 V/div Range @ 20V
  4.001  9500         20.000V                                           S
  4.002  RSLT         =5 V/div Range
  4.003  IEEE         :CHAN[M100]:VDIV 5
  4.004  MATH         M[17] = 0.001
  4.005  CALL         Sub Yok DL7100 Record Reading IEEE
  4.006  JMPL         END            M[89] < 0
  4.007  MEMCX        20.000V        0.62U

# Test the 5 V/div Range @ 0V
  5.001  9500         0.000V                                            S
  5.002  CALL         Sub Yok DL7100 Record Reading IEEE
  5.003  JMPL         END            M[89] < 0
  5.004  MEMCX        0.000V         0.62U

# Test the 5 V/div Range @ -20V
  6.001  9500         -20.000V                                          S
  6.002  CALL         Sub Yok DL7100 Record Reading IEEE
  6.003  JMPL         END            M[89] < 0
  6.004  MEMCX        -20.000V       0.62U

# Test the 2 V/div Range @ 8V
  7.001  RSLT         =2 V/div Range
  7.002  IEEE         :CHAN[M100]:VDIV 2
  7.003  MATH         M[17] = 0.001
  7.004  9500         8.0000V                                           S
  7.005  CALL         Sub Yok DL7100 Record Reading IEEE
  7.006  JMPL         END            M[89] < 0
  7.007  MEMCX        8.0000V        0.26U

# Test the 2 V/div Range @ 0V
  8.001  9500         0.0000V                                           S
  8.002  CALL         Sub Yok DL7100 Record Reading IEEE
  8.003  JMPL         END            M[89] < 0
  8.004  MEMCX        0.0000V        0.26U

# Test the 2 V/div Range @ -80V
  9.001  9500         -8.0000V                                          S
  9.002  CALL         Sub Yok DL7100 Record Reading IEEE
  9.003  JMPL         END            M[89] < 0
  9.004  MEMCX        -8.0000V       0.26U

# Test the 1 V/div Range @ 4V
 10.001  RSLT         =1 V/div Range
 10.002  IEEE         :CHAN[M100]:VDIV 1
 10.003  MATH         M[17] = 0.001
 10.004  9500         4.0000V                                           S
 10.005  CALL         Sub Yok DL7100 Record Reading IEEE
 10.006  JMPL         END            M[89] < 0
 10.007  MEMCX        4.0000V        0.14U

# Test the 1 V/div Range @ 0V
 11.001  9500         0.0000V                                           S
 11.002  CALL         Sub Yok DL7100 Record Reading IEEE
 11.003  JMPL         END            M[89] < 0
 11.004  MEMCX        0.0000V        0.14U

# Test the 1 V/div Range @ -4V
 12.001  9500         -4.0000V                                          S
 12.002  CALL         Sub Yok DL7100 Record Reading IEEE
 12.003  JMPL         END            M[89] < 0
 12.004  MEMCX        -4.0000V       0.14U

# Test the 0.5 V/div Range @ 2V
 13.001  RSLT         =500 mV/div Range
 13.002  IEEE         :CHAN[M100]:VDIV .5
 13.003  MATH         M[17] = 0.0001
 13.004  9500         2.0000V                                           S
 13.005  CALL         Sub Yok DL7100 Record Reading IEEE
 13.006  JMPL         END            M[89] < 0
 13.007  MEMCX        2.0000V        0.062U

# Test the 0.5 V/div Range @ 0V
 14.001  9500         0.0000V                                           S
 14.002  CALL         Sub Yok DL7100 Record Reading IEEE
 14.003  JMPL         END            M[89] < 0
 14.004  MEMCX        0.0000V        0.062U

# Test the 0.5 V/div Range @ -2V
 15.001  9500         -2.0000V                                          S
 15.002  CALL         Sub Yok DL7100 Record Reading IEEE
 15.003  JMPL         END            M[89] < 0
 15.004  MEMCX        -2.0000V       0.062U

# Test the 0.2 V/div Range @ 0.8V
 16.001  RSLT         =200 mV/div Range
 16.002  IEEE         :CHAN[M100]:VDIV 0.2
 16.003  MATH         M[17] = 0.01
 16.004  9500         800.00mV                                          S
 16.005  CALL         Sub Yok DL7100 Record Reading IEEE
 16.006  JMPL         END            M[89] < 0
 16.007  MATH         MEM = MEM * 1000
 16.008  MEMCX        800.00mV       26U

# Test the 0.2 V/div Range @ 0V
 17.001  9500         0.00mV                                            S
 17.002  CALL         Sub Yok DL7100 Record Reading IEEE
 17.003  JMPL         END            M[89] < 0
 17.004  MATH         MEM = MEM * 1000
 17.005  MEMCX        0.00mV         26U

# Test the 0.2 V/div Range @ 0.8V
 18.001  9500         -800.00mV                                         S
 18.002  CALL         Sub Yok DL7100 Record Reading IEEE
 18.003  JMPL         END            M[89] < 0
 18.004  MATH         MEM = MEM * 1000
 18.005  MEMCX        -800.00mV      26U

# Test the 0.1 V/div Range @ 0.4V
 19.001  RSLT         =100 mV/div Range
 19.002  IEEE         :CHAN[M100]:VDIV .1
 19.003  MATH         M[17] = 0.01
 19.004  9500         400.00mV                                          S
 19.005  CALL         Sub Yok DL7100 Record Reading IEEE
 19.006  JMPL         END            M[89] < 0
 19.007  MATH         MEM = MEM * 1000
 19.008  MEMCX        400.00mV       14U

# Test the 0.1 V/div Range @ 0.0V
 20.001  9500         0.00mV                                            S
 20.002  CALL         Sub Yok DL7100 Record Reading IEEE
 20.003  JMPL         END            M[89] < 0
 20.004  MATH         MEM = MEM * 1000
 20.005  MEMCX        0.00mV         14U

# Test the 0.1 V/div Range @ -0.4V
 21.001  9500         -400.00mV                                         S
 21.002  CALL         Sub Yok DL7100 Record Reading IEEE
 21.003  JMPL         END            M[89] < 0
 21.004  MATH         MEM = MEM * 1000
 21.005  MEMCX        -400.00mV      14U

# Test the 50 mV/div Range @ 200mV
 22.001  RSLT         =50 mV/div Range
 22.002  IEEE         :CHAN[M100]:VDIV 50e-3
 22.003  MATH         M[17] = 0.01
 22.004  9500         200.00mV                                          S
 22.005  CALL         Sub Yok DL7100 Record Reading IEEE
 22.006  JMPL         END            M[89] < 0
 22.007  MATH         MEM = MEM * 1000
 22.008  MEMCX        200.00mV       6.2U

# Test the 50 mV/div Range @ 0V
 23.001  9500         0.00mV                                            S
 23.002  CALL         Sub Yok DL7100 Record Reading IEEE
 23.003  JMPL         END            M[89] < 0
 23.004  MATH         MEM = MEM * 1000
 23.005  MEMCX        0.00mV         6.2U

# Test the 50 mV/div Range @ 200 mV
 24.001  9500         -200.00mV                                         S
 24.002  CALL         Sub Yok DL7100 Record Reading IEEE
 24.003  JMPL         END            M[89] < 0
 24.004  MATH         MEM = MEM * 1000
 24.005  MEMCX        -200.00mV      6.2U

# Test the 20 mV/div Range @ 80mV
 25.001  RSLT         =20 mV/div Range
 25.002  IEEE         :CHAN[M100]:VDIV 20e-3
 25.003  MATH         M[17] = 0.001
 25.004  9500         80.000mV                                          S
 25.005  CALL         Sub Yok DL7100 Record Reading IEEE
 25.006  JMPL         END            M[89] < 0
 25.007  MATH         MEM = MEM * 1000
 25.008  MEMCX        80.000mV       2.6U

# Test the 20 mV/div Range @ 0V
 26.001  9500         0.000mV                                           S
 26.002  CALL         Sub Yok DL7100 Record Reading IEEE
 26.003  JMPL         END            M[89] < 0
 26.004  MATH         MEM = MEM * 1000
 26.005  MEMCX        0.000mV        2.6U

# Test the 20 mV/div Range @ -80mV
 27.001  9500         -80.000mV                                         S
 27.002  CALL         Sub Yok DL7100 Record Reading IEEE
 27.003  JMPL         END            M[89] < 0
 27.004  MATH         MEM = MEM * 1000
 27.005  MEMCX        -80.000mV      2.6U

# Test the 10 mV/div Range @ 40mV
 28.001  RSLT         =10 mV/div Range
 28.002  IEEE         :CHAN[M100]:VDIV 10e-3
 28.003  MATH         M[17] = 0.001
 28.004  9500         40.000mV                                          S
 28.005  CALL         Sub Yok DL7100 Record Reading IEEE
 28.006  JMPL         END            M[89] < 0
 28.007  MATH         MEM = MEM * 1000
 28.008  MEMCX        40.000mV       1.4U

# Test the 10 mV/div Range @ 0mV
 29.001  9500         0.000mV                                           S
 29.002  CALL         Sub Yok DL7100 Record Reading IEEE
 29.003  JMPL         END            M[89] < 0
 29.004  MATH         MEM = MEM * 1000
 29.005  MEMCX        0.000mV        1.4U

# Test the 10 mV/div Range @ -40mV
 30.001  9500         -40.000mV                                         S
 30.002  CALL         Sub Yok DL7100 Record Reading IEEE
 30.003  JMPL         END            M[89] < 0
 30.004  MATH         MEM = MEM * 1000
 30.005  MEMCX        -40.000mV      1.4U

# Test the 5 mV/div Range @ 20mV
 31.001  RSLT         =5 mV/div Range
 31.002  IEEE         :CHAN[M100]:VDIV 5e-3
 31.003  MATH         M[17] = 0.001
 31.004  9500         20.000mV                                          S
 31.005  CALL         Sub Yok DL7100 Record Reading IEEE
 31.006  JMPL         END            M[89] < 0
 31.007  MATH         MEM = MEM * 1000
 31.008  MEMCX        20.000mV       0.8U

# Test the 5 mV/div Range @ 0mV
 32.001  9500         0.000mV                                           S
 32.002  CALL         Sub Yok DL7100 Record Reading IEEE
 32.003  JMPL         END            M[89] < 0
 32.004  MATH         MEM = MEM * 1000
 32.005  MEMCX        0.000mV        0.8U

# Test the 5 mV/div Range @ -20mV
 33.001  9500         -20.000mV                                         S
 33.002  CALL         Sub Yok DL7100 Record Reading IEEE
 33.003  JMPL         END            M[89] < 0
 33.004  MATH         MEM = MEM * 1000
 33.005  MEMCX        -20.000mV      0.8U

# Test the 2 mV/div Range @ 8 mV
 34.001  RSLT         =2 mV/div Range
 34.002  IEEE         :CHAN[M100]:VDIV 2e-3
 34.003  MATH         M[17] = 0.0001
 34.004  9500         8.0000mV                                          S
 34.005  CALL         Sub Yok DL7100 Record Reading IEEE
 34.006  JMPL         END            M[89] < 0
 34.007  MATH         MEM = MEM * 1000
 34.008  MEMCX        8.0000mV       0.44U

# Test the 2 mV/div Range @ 0mV
 35.001  9500         0.0000mV                                          S
 35.002  CALL         Sub Yok DL7100 Record Reading IEEE
 35.003  JMPL         END            M[89] < 0
 35.004  MATH         MEM = MEM * 1000
 35.005  MEMCX        0.0000mV       0.44U

# Test the 2 mV/div Range @ -8 mV
 36.001  9500         -8.0000mV                                         S
 36.002  CALL         Sub Yok DL7100 Record Reading IEEE
 36.003  JMPL         END            M[89] < 0
 36.004  MATH         MEM = MEM * 1000
 36.005  MEMCX        -8.0000mV      0.44U

 37.001  LABEL        END
 37.002  9500         *                                                 S
 37.003  END
