﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yok Trigger Channel Pattern (4 Ch)
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       91
=============================================================================
#
# Source Author:   Fluke
#
# Compatibility:   MET/CAL 6.01 or later
#
# Subprocedures:   None
#
# Required Files:  none
#
# Registers Used:
#
#   M[100]    Channel selection
#   M[101]    Selected trigger channel pattern
#               M[101] == 1 ("HIGH")
#               M[101] == 2 ("LOW")
#
#   M[89]     1 if M[100] is 1,2,3,4, -1 otherwise
#
#   S[28]     Error message if M[89] is -1.
#
#   S[11]     Channel 1 "HIGH", "LOW", or "DONT"
#   S[12]     Channel 2 "HIGH", "LOW", or "DONT"
#   S[13]     Channel 3 "HIGH", "LOW", or "DONT"
#   S[14]     Channel 4 "HIGH", "LOW", or "DONT"
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  JMPL         STATE          M[100] == 1
  1.002  JMPL         STATE          M[100] == 2
  1.003  JMPL         STATE          M[100] == 3
  1.004  JMPL         STATE          M[100] == 4
  1.005  MATH         S[26] = "Undefined channel.  "
  1.006  MATH         S[27] = "M[100] must be 1,2,3, or 4."
  1.007  MATH         S[28] = S[26] + S[27]
  1.008  MATH         M[89] = -1
  1.009  END

  1.010  LABEL        STATE
  1.011  JMPL         HIGH           M[101] == 1
  1.012  JMPL         LOW            M[101] == 2
  1.013  MATH         S[26] = "Undefined trigger pattern.  "
  1.014  MATH         S[27] = "M[101] must be 1 (HIGH) or 2 (LOW)."
  1.015  MATH         S[28] = S[26] + S[27]
  1.016  MATH         M[89] = -1
  1.017  END

  1.018  LABEL        HIGH
  1.019  MATH         MEM2 = "HIGH"
  1.020  JMPL         CONTINUE

  1.021  LABEL        LOW
  1.022  MATH         MEM2 = "LOW"

  1.023  LABEL        CONTINUE
  1.024  JMPL         CHANNEL_1      M[100] == 1
  1.025  JMPL         CHANNEL_2      M[100] == 2
  1.026  JMPL         CHANNEL_3      M[100] == 3
  1.027  JMPL         CHANNEL_4      M[100] == 4

  1.028  LABEL        CHANNEL_1
  1.029  MATH         S[11] = MEM2
  1.030  MATH         S[12] = "DONT"; S[13] = "DONT"; S[14] = "DONT"
  1.031  JMPL         END

  1.032  LABEL        CHANNEL_2
  1.033  MATH         S[12] = MEM2
  1.034  MATH         S[11] = "DONT"; S[13] = "DONT"; S[14] = "DONT"
  1.035  JMPL         END

  1.036  LABEL        CHANNEL_3
  1.037  MATH         S[13] = MEM2
  1.038  MATH         S[11] = "DONT"; S[12] = "DONT"; S[14] = "DONT"
  1.039  JMPL         END

  1.040  LABEL        CHANNEL_4
  1.041  MATH         S[14] = MEM2
  1.042  MATH         S[11] = "DONT"; S[12] = "DONT"; S[13] = "DONT"

  1.043  LABEL        END
  1.044  MATH         S[28] = ""
  1.045  MATH         M[89] = 1
  1.046  END
