﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yok Trigger "OR" Channel Selection (4 Ch)
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       103
=============================================================================
#
# Source Author:   Fluke
#
# Compatibility:   MET/CAL 6.01 or later
#
# Subprocedures:   None
#
# Required Files:  none
#
# Registers Used:
#
#   M[100]    Channel selection
#   M[101]    State of selected trigger "OR" channel
#               M[101] == 1 ("IN")
#               M[101] == 2 ("OUT")
#               M[101] == 3 ("RISE")
#               M[101] == 4 ("FALL")
#
#   M[89]     1 if M[100] is 1,2,3,4, -1 otherwise
#
#   S[28]     Error message if M[89] is -1.
#
#   S[21]     Channel 1 "IN", "OUT", "RISE", "FALL", or "OFF"
#   S[22]     Channel 2 "IN", "OUT", "RISE", "FALL", or "OFF"
#   S[23]     Channel 3 "IN", "OUT", "RISE", "FALL", or "OFF"
#   S[24]     Channel 4 "IN", "OUT", "RISE", "FALL", or "OFF"
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  JMPL         STATE          M[100] == 1
  1.002  JMPL         STATE          M[100] == 2
  1.003  JMPL         STATE          M[100] == 3
  1.004  JMPL         STATE          M[100] == 4
  1.005  MATH         S[26] = "Undefined channel.  "
  1.006  MATH         S[27] = "M[100] must be 1,2,3, or 4."
  1.007  MATH         S[28] = S[26] + S[27]
  1.008  MATH         M[89] = -1
  1.009  END

  1.010  LABEL        STATE
  1.011  JMPL         IN             M[101] == 1
  1.012  JMPL         OUT            M[101] == 2
  1.013  JMPL         RISE           M[101] == 3
  1.014  JMPL         FALL           M[101] == 4
  1.015  MATH         S[26] = "Undefined 'OR' state.  "
  1.016  MATH         S[27] = "M[101] must be 1,2,3, or 4."
  1.017  MATH         S[28] = S[26] + S[27]
  1.018  MATH         M[89] = -1
  1.019  END

  1.020  LABEL        IN
  1.021  MATH         MEM2 = "IN"
  1.022  JMPL         CONTINUE

  1.023  LABEL        OUT
  1.024  MATH         MEM2 = "OUT"
  1.025  JMPL         CONTINUE

  1.026  LABEL        RISE
  1.027  MATH         MEM2 = "RISE"
  1.028  JMPL         CONTINUE

  1.029  LABEL        FALL
  1.030  MATH         MEM2 = "FALL"

  1.031  LABEL        CONTINUE
  1.032  JMPL         CHANNEL_1      M[100] == 1
  1.033  JMPL         CHANNEL_2      M[100] == 2
  1.034  JMPL         CHANNEL_3      M[100] == 3
  1.035  JMPL         CHANNEL_4      M[100] == 4

  1.036  LABEL        CHANNEL_1
  1.037  MATH         S[21] = MEM2
  1.038  MATH         S[22] = "OFF"; S[23] = "OFF"; S[24] = "OFF"
  1.039  JMPL         END

  1.040  LABEL        CHANNEL_2
  1.041  MATH         S[22] = MEM2
  1.042  MATH         S[21] = "OFF"; S[23] = "OFF"; S[24] = "OFF"
  1.043  JMPL         END

  1.044  LABEL        CHANNEL_3
  1.045  MATH         S[23] = MEM2
  1.046  MATH         S[21] = "OFF"; S[22] = "OFF"; S[24] = "OFF"
  1.047  JMPL         END

  1.048  LABEL        CHANNEL_4
  1.049  MATH         S[24] = MEM2
  1.050  MATH         S[21] = "OFF"; S[22] = "OFF"; S[23] = "OFF"

  1.051  LABEL        END
  1.052  MATH         S[28] = ""
  1.053  MATH         M[89] = 1
  1.054  END
